Loading...
Searching...
No Matches
gx_resample::SimpleResampler Class Reference

`#include <gx_resampler.h>`

## Public Member Functions

| SimpleResampler ()
void | setup (int sampleRate, unsigned int fact)
void | up (int count, float *input, float *output)
void | down (int count, float *input, float *output)

## Private Attributes

Resampler | r_up
Resampler | r_down
int | m_fact

## Detailed Description

Definition at line 38 of file gx_resampler.h.

## Constructor & Destructor Documentation

## SimpleResampler()

gx_resample::SimpleResampler::SimpleResampler | ( |  | ) |

inline

Definition at line 43 of file gx_resampler.h.

## Member Function Documentation

## down()

void gx_resample::SimpleResampler::down | ( | int | count,
|  | float * | input,
|  | float * | output )

## setup()

void gx_resample::SimpleResampler::setup | ( | int | sampleRate,
|  | unsigned int | fact )

## up()

void gx_resample::SimpleResampler::up | ( | int | count,
|  | float * | input,
|  | float * | output )

## Member Data Documentation

## m_fact

int gx_resample::SimpleResampler::m_fact

private

Definition at line 41 of file gx_resampler.h.

Referenced by SimpleResampler().

## r_down

Resampler gx_resample::SimpleResampler::r_down

private

Definition at line 40 of file gx_resampler.h.

Referenced by SimpleResampler().

## r_up

Resampler gx_resample::SimpleResampler::r_up

private

Definition at line 40 of file gx_resampler.h.

Referenced by SimpleResampler().

The documentation for this class was generated from the following file:

- src/headers/gx_resampler.h